<script setup lang="ts">
const tabs = [
  { name: 'Email Settings', component: defineAsyncComponent(() => import('./panes/SettingsPane.vue')) },
  { name: 'Compliance Settings', component: defineAsyncComponent(() => import('./panes/CompliancePane.vue')) },
  { name: 'Access Settings', component: defineAsyncComponent(() => import('./panes/AccessPane.vue')) },
]
</script>

<template>
  <aside class="flex flex-col bg-light-50 main-height">
    <div class="bg-arctic text-center py-1">
      <span class="text-arctic-50 font-semibold text-lg">Settings</span>
    </div>
    <!-- Tab Menu -->
    <n-tabs type="line" animated justify-content="space-evenly" size="large">
      <n-tab-pane v-for="(tab, index) in tabs" :key="index" :name="tab.name" :tab="tab.name" display-directive="show:lazy" class="overflow-y-auto pane-height">
        <component :is="tab.component" />
      </n-tab-pane>
    </n-tabs>
  </aside>
</template>

